Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 595203 - Oops in ttm_tt_swapout
Oops in ttm_tt_swapout
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-23 22:51 EDT by Sam Varshavchik
Modified: 2010-12-03 09:25 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:25:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Varshavchik 2010-05-23 22:51:11 EDT
Description of problem:

Recurring oops. Occurs at various times, no particular pattern that I can see. The machine is not very busy.

For some reason my ABRT is not talking to Bugzilla, so I have to cut and paste this.

Version-Release number of selected component (if applicable):

2.6.32.12-115.fc12.i686

How reproducible:

Eventually it happens.

Steps to Reproduce:

  
Actual results:

May 23 22:31:35 lc2440 kernel: BUG: unable to handle kernel NULL pointer dereference at 00000010
May 23 22:31:35 lc2440 kernel: IP: [<f7ce8124>] ttm_tt_swapout+0x8b/0x186 [ttm]
May 23 22:31:35 lc2440 kernel: *pde = 7f413067 
May 23 22:31:35 lc2440 kernel: Oops: 0000 [#2] SMP 
May 23 22:31:35 lc2440 kernel: last sysfs file: /sys/devices/pci0000:00/0000:00:1e.0/0000:03:03.0/rf_kill
May 23 22:31:35 lc2440 kernel: Modules linked in: aes_i586 aes_generic lib80211_crypt_ccmp fuse rfcomm sco bridge stp llc bnep l2cap autofs4 cpufreq_ondemand acpi_cpufreq ipv6 dm_multipath uinput snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer iTCO_wdt snd skge iTCO_vendor_support btusb ipw2200 bluetooth rfkill libipw soundcore snd_page_alloc lib80211 serio_raw joydev asus_laptop firewire_ohci yenta_socket firewire_core crc_itu_t rsrc_nonstatic video output nouveau ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
May 23 22:31:35 lc2440 kernel:
May 23 22:31:35 lc2440 kernel: Pid: 1864, comm: Xorg Tainted: G      D    (2.6.32.12-115.fc12.i686 #1) M7V       
May 23 22:31:35 lc2440 kernel: EIP: 0060:[<f7ce8124>] EFLAGS: 00013282 CPU: 0
May 23 22:31:35 lc2440 kernel: EIP is at ttm_tt_swapout+0x8b/0x186 [ttm]
May 23 22:31:35 lc2440 kernel: EAX: 00000000 EBX: f2d04f80 ECX: 00000000 EDX: f1eaec80
May 23 22:31:35 lc2440 kernel: ESI: 00000000 EDI: 00000000 EBP: f5ccfb0c ESP: f5ccfae8
May 23 22:31:35 lc2440 kernel: DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
May 23 22:31:35 lc2440 kernel: Process Xorg (pid: 1864, ti=f5cce000 task=f46ccc80 task.ti=f5cce000)
May 23 22:31:35 lc2440 kernel: Stack:
May 23 22:31:35 lc2440 kernel: 00000001 f5ccfb0c f1eaec80 000f3000 f1eaec80 00000001 f1e18200 00000000
May 23 22:31:35 lc2440 kernel: <0> 00000000 f5ccfb48 f7ce9085 f65fc458 f65fc400 f1e18228 f1e18228 00000000
May 23 22:31:35 lc2440 kernel: <0> 000f3000 000000f3 00000000 00000000 00010001 f65dd000 f65dd060 f65dd048
May 23 22:31:35 lc2440 kernel: Call Trace:
May 23 22:31:35 lc2440 kernel: [<f7ce9085>] ? ttm_bo_swapout+0x178/0x1ad [ttm]
May 23 22:31:35 lc2440 kernel: [<f7ce7332>] ? ttm_shrink+0xb7/0xd4 [ttm]
May 23 22:31:35 lc2440 kernel: [<f7ce7428>] ? ttm_mem_global_alloc_zone+0x67/0x131 [ttm]
May 23 22:31:35 lc2440 kernel: [<f7ce7549>] ? ttm_mem_global_alloc_page+0x57/0x5c [ttm]
May 23 22:31:35 lc2440 kernel: [<f7ce7d6c>] ? __ttm_tt_get_page+0x69/0xda [ttm]
May 23 22:31:35 lc2440 kernel: [<f7ce7e13>] ? ttm_tt_populate+0x36/0x67 [ttm]
May 23 22:31:35 lc2440 kernel: [<f7ce7e68>] ? ttm_tt_set_caching+0x24/0x9c [ttm]
May 23 22:31:35 lc2440 kernel: [<f7ce82c4>] ? ttm_tt_set_placement_caching+0x2a/0x2c [ttm]
May 23 22:31:35 lc2440 kernel: [<f7ce8d9c>] ? ttm_bo_handle_move_mem+0xde/0x24f [ttm]
May 23 22:31:35 lc2440 kernel: [<f7ce9f86>] ? ttm_mem_evict_first+0x36e/0x3db [ttm]
May 23 22:31:35 lc2440 kernel: [<f7ce9bb0>] ? ttm_bo_mem_space+0x37a/0x3e2 [ttm]
May 23 22:31:35 lc2440 kernel: [<f7cea3c8>] ? ttm_bo_move_buffer+0x78/0xcc [ttm]
May 23 22:31:35 lc2440 kernel: [<f7c9c400>] ? trace_kmalloc.clone.0+0x2e/0x4a [drm]
May 23 22:31:35 lc2440 kernel: [<f7cea4be>] ? ttm_bo_validate+0xa2/0xe3 [ttm]
May 23 22:31:35 lc2440 kernel: [<f7cea771>] ? ttm_bo_init+0x272/0x2a6 [ttm]
May 23 22:31:35 lc2440 kernel: [<f7d5a49e>] ? nouveau_bo_new+0x28f/0x2e5 [nouveau]
May 23 22:31:35 lc2440 kernel: [<f7d5a193>] ? nouveau_bo_del_ttm+0x0/0x7c [nouveau]
May 23 22:31:35 lc2440 kernel: [<f7d5b38a>] ? nouveau_gem_new+0x33/0x8a [nouveau]
May 23 22:31:35 lc2440 kernel: [<f7d5b544>] ? nouveau_gem_ioctl_new+0x163/0x240 [nouveau]
May 23 22:31:35 lc2440 kernel: [<f7c9594f>] ? drm_ioctl+0x251/0x2fa [drm]
May 23 22:31:35 lc2440 kernel: [<f7d5b3e1>] ? nouveau_gem_ioctl_new+0x0/0x240 [nouveau]
May 23 22:31:35 lc2440 kernel: [<c04d8954>] ? do_sync_read+0xae/0xe9
May 23 22:31:35 lc2440 kernel: [<c0456b44>] ? enqueue_hrtimer+0x81/0x8c
May 23 22:31:35 lc2440 kernel: [<f7c956fe>] ? drm_ioctl+0x0/0x2fa [drm]
May 23 22:31:35 lc2440 kernel: [<c04e5c8a>] ? vfs_ioctl+0x1d/0x76
May 23 22:31:35 lc2440 kernel: [<c0454399>] ? autoremove_wake_function+0x0/0x34
May 23 22:31:35 lc2440 kernel: [<c04e6224>] ? do_vfs_ioctl+0x493/0x4d1
May 23 22:31:35 lc2440 kernel: [<c04d863c>] ? fsnotify_access+0x54/0x5f
May 23 22:31:35 lc2440 kernel: [<c04d8fbc>] ? vfs_read+0xa2/0xe1
May 23 22:31:35 lc2440 kernel: [<c04e62a8>] ? sys_ioctl+0x46/0x66
May 23 22:31:35 lc2440 kernel: [<c040365c>] ? syscall_call+0x7/0xb
May 23 22:31:35 lc2440 kernel: Code: e2 0c e8 1e 86 7c c8 5a 3d 00 f0 ff ff 89 45 ec 76 13 68 4c cb ce f7 e8 17 9b aa c8 8b 75 ec 58 e9 f7 00 00 00 8b 55 ec 8b 42 0c <8b> 40 10 8b 80 ac 00 00 00 c7 45 e8 00 00 00 00 89 45 dc e9 9d 
May 23 22:31:35 lc2440 kernel: EIP: [<f7ce8124>] ttm_tt_swapout+0x8b/0x186 [ttm] SS:ESP 0068:f5ccfae8
May 23 22:31:35 lc2440 kernel: CR2: 0000000000000010
May 23 22:31:35 lc2440 kernel: ---[ end trace c63790a2cf47e1b6 ]---
May 23 22:31:35 lc2440 kernel: [drm] nouveau 0000:01:00.0: nouveau_channel_free: freeing fifo 1
May 23 22:31:35 lc2440 kernel: [drm:drm_release] *ERROR* Device busy: 1
Comment 1 Anthony Caetano 2010-07-10 08:12:25 EDT
Same here.  Numerous crashes.  Also running the nouveau graphics driver.  But it doesn't show in this trace, although I think it might be related.

2.6.32.14-127.fc12.i686.PAE

Jul  9 21:18:59 getafix kernel: BUG: unable to handle kernel NULL pointer dereference at 000000ad
Jul  9 21:18:59 getafix kernel: IP: [<f7cd5127>] ttm_tt_swapout+0x8e/0x186 [ttm]
Jul  9 21:18:59 getafix kernel: *pde = 31b39067 *pte = 00000000
Jul  9 21:18:59 getafix kernel: Oops: 0000 [#1] SMP
Jul  9 21:18:59 getafix kernel: last sysfs file: /sys/devices/virtual/net/tun0/statistics/collisions
Jul  9 21:18:59 getafix kernel: Modules linked in: ppp_deflate zlib_deflate ppp_async crc_ccitt ppp_generic slhc nls_utf8 udf fuse tun cpufreq_ondemand powernow_k8 ipv6 ipt_LOG ipt_MASQUERADE xt_multiport iptable_nat nf_nat dm_multipath uinput snd_intel8x0 snd_ac97_codec ac97_bus snd_seq snd_seq_device snd_pcm snd_timer snd ppdev soundcore parport_pc snd_page_alloc i2c_nforce2 forcedeth parport k8temp usblp sky2 aes_i586 aes_generic xts gf128mul dm_crypt raid1 firewire_ohci pata_acpi firewire_core crc_itu_t ata_generic sata_nv pata_amd nouveau ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Jul  9 21:18:59 getafix kernel:
Jul  9 21:18:59 getafix kernel: Pid: 132, comm: ttm_swap Not tainted (2.6.32.12-115.fc12.i686 #1) MS-7125
Jul  9 21:18:59 getafix kernel: EIP: 0060:[<f7cd5127>] EFLAGS: 00010286 CPU: 0
Jul  9 21:18:59 getafix kernel: EIP is at ttm_tt_swapout+0x8e/0x186 [ttm]
Jul  9 21:18:59 getafix kernel: EAX: 00000001 EBX: ed493800 ECX: 00000000 EDX: f34e5e00
Jul  9 21:18:59 getafix kernel: ESI: 00000000 EDI: 00000000 EBP: f641bef4 ESP: f641bed0
Jul  9 21:18:59 getafix kernel: DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
Jul  9 21:18:59 getafix kernel: Process ttm_swap (pid: 132, ti=f641a000 task=f6660000 task.ti=f641a000)
Jul  9 21:18:59 getafix kernel: Stack:
Jul  9 21:18:59 getafix kernel: 00000001 f641bef4 f34e5e00 00053000 f34e5e00 00000001 f652e400 00000000
Jul  9 21:18:59 getafix kernel: <0> 00000000 f641bf30 f7cd6085 f66220d8 f6622080 f652e428 f652e428 00000000
Jul  9 21:18:59 getafix kernel: <0> 00053000 00000053 00000000 00000000 00010001 f6471de0 f6471e40 f6471e28
Jul  9 21:18:59 getafix kernel: Call Trace:
Jul  9 21:18:59 getafix kernel: [<f7cd6085>] ? ttm_bo_swapout+0x178/0x1ad [ttm]
Jul  9 21:18:59 getafix kernel: [<f7cd4332>] ? ttm_shrink+0xb7/0xd4 [ttm]
Jul  9 21:18:59 getafix kernel: [<f7cd4368>] ? ttm_shrink_work+0x19/0x1d [ttm]
Jul  9 21:18:59 getafix kernel: [<c045090d>] ? worker_thread+0x140/0x1b9
Jul  9 21:18:59 getafix kernel: [<f7cd434f>] ? ttm_shrink_work+0x0/0x1d [ttm]
Jul  9 21:18:59 getafix kernel: [<c0454399>] ? autoremove_wake_function+0x0/0x34
Jul  9 21:18:59 getafix kernel: [<c04507cd>] ? worker_thread+0x0/0x1b9
Jul  9 21:18:59 getafix kernel: [<c0454161>] ? kthread+0x64/0x69
Jul  9 21:18:59 getafix kernel: [<c04540fd>] ? kthread+0x0/0x69
Jul  9 21:18:59 getafix kernel: [<c04041c7>] ? kernel_thread_helper+0x7/0x10
Jul  9 21:18:59 getafix kernel: Code: 1e b6 7d c8 5a 3d 00 f0 ff ff 89 45 ec 76 13 68 4c 9b cd f7 e8 17 cb ab c8 8b 75 ec 58 e9 f7 00 00 00 8b 55 ec 8b 42 0c 8b 40 10 <8b> 80 ac 00 00 00 c7 45 e8 00 00 00 00 89 45 dc e9 9d 00 00 00
Jul  9 21:18:59 getafix kernel: EIP: [<f7cd5127>] ttm_tt_swapout+0x8e/0x186 [ttm] SS:ESP 0068:f641bed0
Jul  9 21:18:59 getafix kernel: CR2: 00000000000000ad
Jul  9 21:18:59 getafix kernel: ---[ end trace ebfb62df3037b968 ]---
Comment 2 Bug Zapper 2010-11-03 10:19:47 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 09:25:49 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.